# Update this token

Updating different fields represented by the token

Endpoint: PUT /tokens/{tokenId}
Version: 2
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Path parameters:

  - `tokenId` (string, required)
    Access Worldpay encrypted token.

## Request fields (application/vnd.worldpay.tokens-v2.hal+json):

  - `schemeTransactionReference` (string)
    A value provided by Visa or Mastercard which tracks recurring transactions.Note: You are not normally expected to provide a value for schemeTransactionReference. If you are using the [Verified Tokens API](/products/verified-tokens) to create tokens, it is automatically included where applicable.

  - `cardHolderName` (string)
    The name on the customer's card.

  - `description` (string)
    A description of your token. If not supplied, a default description is created for you.

  - `month` (integer)

  - `year` (integer)

  - `address1` (string)

  - `address2` (string)

  - `address3` (string)

  - `postalCode` (string)

  - `city` (string)

  - `state` (string)

  - `countryCode` (string)

## Request examples:

  - `Update a billing address.` (unknown)
    Update a billing address.

  - `Update a card expiry date.` (unknown)
    Update a card expiry date.

  - `Update a card holder name.` (unknown)
    Update a card holder name.

  - `Update a token description.` (unknown)
    Update a token description.

  - `Update a scheme transaction reference for a token.` (unknown)
    Update a scheme transaction reference for a token.

## Response 204:

  - `204` (unknown)
    The token was successfully updated.

